package com.njcn.web.utils;

import java.math.BigDecimal;

/**
 * @author hongawen(创建) -----denghuajun（移植使用）
 * @Date: 2018/8/27 11:29
 */
public class FloatUtils {


    /**
     * 保留传入进来的float的两位小数，四舍五入的方式
     *
     * @param data Float参数
     */
    public static float get2Float(Float data) {
        if (data == null || data.isNaN() || data.isInfinite()) {
            return 0f;
        }
        int scale = 2;//设置位数
        int roundingMode = 4;//表示四舍五入，可以选择其他舍值方式，例如去尾，等等.
        BigDecimal bd = new BigDecimal(data);
        bd = bd.setScale(scale, roundingMode);
        data = bd.floatValue();
        return data;
    }
}
